Imports System.Collections.Generic

Public Class JobConfig
    Public Property Name As JobType
    Public Property Enabled As Boolean = False
    Public Property StartWithoutDelay As Boolean = False

    ' https://www.quartz-scheduler.net/documentation/quartz-3.x/how-tos/crontrigger.html
    Public Property CronSchedule As String = ""

    Public Property ArgsString As String = ""

    <Xml.Serialization.XmlIgnore>
    Public Property Args As New Dictionary(Of String, String)

    Public Enum JobType
        ADSync
        GraphQL
        Test
        API_SQL
    End Enum
End Class